#pragma once

#include "rotor-light.hpp"

namespace rl = rotor_light;

struct Board {
  static constexpr uint32_t samples = 100000000;

  static void init_start();

  static void enable_timer();

  static rl::TimePoint get_now();

  static void toggle_led();

  static void sleep(const rl::TimePoint &until);

  static void delay();
};
